name: unicblue/page-header
typeName: unicblue_pageheader
group: hks
prefixFields: true
prefixType: full
fields:
  -
    identifier: headers
    type: Palette
    fields:
      -
        identifier: header
        useExistingField: true
      -
        identifier: header_layout
        useExistingField: true
      -
        identifier: header_position
        useExistingField: true
  -
    identifier: subheader
    useExistingField: true
  -
    identifier: image
    useExistingField: true
  -
    identifier: tab_layout
    type: Tab
    label: 'Layout'
  -
    identifier: tx_hks_container
    type: Select
    useExistingField: true
  -
    identifier: tx_hks_top_accent
    type: Select
    useExistingField: true
  -
    identifier: options_palette
    type: Palette
    fields:
      -
        identifier: overlay_style
        type: Select
        translatable: false
        renderType: selectSingle
        default: dark
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/page-header/language/labels.xlf:options_palette.overlay_style.items.dark
            value: dark
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/page-header/language/labels.xlf:options_palette.overlay_style.items.light
            value: light
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/page-header/language/labels.xlf:options_palette.overlay_style.items.none
            value: none
      -
        identifier: height
        type: Select
        translatable: false
        renderType: selectSingle
        default: medium
        items:
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/page-header/language/labels.xlf:options_palette.height.items.small
            value: small
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/page-header/language/labels.xlf:options_palette.height.items.medium
            value: medium
          - label: LLL:EXT:hks/ContentBlocks/ContentElements/page-header/language/labels.xlf:options_palette.height.items.large
            value: large
